#
# spec file for package python-munch
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-munch
Version:        4.0.0
Release:        1.3
Summary:        A dot-accessible dictionary
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Infinidat/munch
Source:         https://files.pythonhosted.org/packages/source/m/munch/munch-%{version}.tar.gz
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A dot-accessible dictionary (a la JavaScript objects).

%prep
%autosetup -p1 -n munch-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/munch
%{python_sitelib}/munch-*.egg-info

%changelog
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- update to 4.0.0:
  * Remove six dependency
- drop python-munch-no-six.patch (upstream)
* Thu Jun  8 2023 pgajdos@suse.com
- version update to 3.0.0
  * Fix munchify for tuples of lists
  * Require Python >=3.6 and upgrade syntax - thanks @EwoutH
  * Update __init__.py  to work with non standard version - thanks @mboisson
  * Allow importing even when VERSION read fails - thanks @mdornseif and @dangillet
  * Add imports to README
  * replace pkg_resources with importlib.metadata - thanks @dhellmann
  * Added RecursiveMunch object - thanks @GuillaumeRochette
- added patches
  fix https://github.com/Infinidat/munch/issues/96
  + python-munch-no-six.patch
- test package
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Fri Dec 20 2019 Dirk Mueller <dmueller@suse.com>
- update to 2.5.0:
  * Support fromJSON classmethod for all Munch subclasses
  * Fix DefaultMunch/DefaultFactoryMunch return value for get method (fixes #53)
  * Support fromYAML classmethod for all Munch subclasses (fixes #34)
* Thu Dec  6 2018 Thomas Bechtold <tbechtold@suse.com>
  update to version 2.3.2:
  * Add __dict__ property that calls toDict()
  * Limit travis deployment conditions
  * Implement the pickling interface
  * Use flat dicts in __getstate__ (closes #30)
  * Ignore pytest cache
  * __setattr__ will now munchify() any provided dict
  * AutoMunch for automatically converting dicts to Munches
  * Drop support for 2.6, 3.3, 3.4
  * Build python wheels
  * Avoid running yaml tests when in no-deps environment
  * Drop support for Python 2.6, 3.3, 3.4
  * Fix lint in init
  * Ignore flycheck files
  * Drop the dot in pytest invocation
  * Clear and update dict
  * Make DefaultFactoryMunch which lets users provide a factory to
    generate missing values
  * Bump version
  * Remove default from constructor and fromDict. Also add a test for repr
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Feb 12 2018 tbechtold@suse.com
- Initial packaging (version 2.2.0)
